import java.util.*;

/**
 * This program demonstrates operations on linked lists.
 * @version 1.10 2004-08-02
 * @author Cay Horstmann
 */
public class ArrayListTest
{
   public static void main(String[] args)
   {
      ArrayList<String> a = new ArrayList<String>();
      a.add("Amy");
      a.add("Carl");
      a.add("Erica");

      ArrayList<String> b = new ArrayList<String>();
      b.add("Bob");
      b.add("Doug");
      b.add("Frances");
      b.add("Gloria");

	a.clear();
        for (String s: args) a.add(s);

	System.out.println("List " + a);

	for(int i=0; i<a.size(); i++) System.out.print(" " + a.get(i));
	System.out.println();

	for (String s: a)  System.out.print(" " + s);
	System.out.println();

	System.exit(0);

      // merge the words from b into a

      ListIterator<String> aIter = a.listIterator();
      Iterator<String> bIter = b.iterator();
     System.out.println("merge the words from b into a\n");
     System.out.println(a);
      while (bIter.hasNext())
      {
         if (aIter.hasNext()) aIter.next();
         aIter.add(bIter.next());
	 System.out.println(a);
      }

      // remove every second word from b

      System.out.println("\nremove every second word from b\n");

      System.out.println(b);
      bIter = b.iterator();
      while (bIter.hasNext())
      {
         bIter.next(); // skip one element
         if (bIter.hasNext())
         {
            bIter.next(); // skip next element
            bIter.remove(); // remove that element
         }
      }

      System.out.println(b);
      System.out.println();

      // bulk operation: remove all words in b from a

      System.out.println("remove all words in b from a\n");
      a.removeAll(b);

      System.out.println(a);
   }
}
