import java.util.Scanner;

/**
 * This program demonstrates console input.
 * @version 1.10 2004-02-10
 * @author Cay Horstmann
 */
public class InputTest
{
   public static void main(String[] args)
   {
      Scanner in = new Scanner(System.in);

      // get first input
      System.out.print("What is your name? ");
      String name = in.nextLine();

      // get second input
      System.out.print("How old are you? ");
      int age = 0;
      try {
          age = in.nextInt();
      }
      catch(Exception e) {
	System.out.println("input was not an integer");
	System.out.println("Exception " + e);
        System.exit(-1);
      }

      // display output on console
      System.out.println("Hello, " + name + ". Next year, you'll be " + (age + 1));
   }
}
